CVE-2021-21656

high

Description

Jenkins Xcode integration Plugin 2.0.14 and earlier does not configure its XML parser to prevent XML external entity (XXE) attacks.

References

https://www.jenkins.io/security/advisory/2021-05-11/#SECURITY-2335

Details

Source: MITRE

Published: 2021-05-11

Updated: 2021-05-19

Type: CWE-611

Risk Information

CVSS v2

Base Score: 5.5

Vector: AV:N/AC:L/Au:S/C:P/I:P/A:N

Impact Score: 4.9

Exploitability Score: 8

Severity: MEDIUM

CVSS v3

Base Score: 7.1

Vector: CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:L/A:N

Impact Score: 4.2

Exploitability Score: 2.8

Severity: HIGH